Passer au contenu principal
GET
/
url-mappings
/
2026-03
/
url-mappings
/
{id}
Récupérer le mappage d'URL
curl --request GET \
  --url https://api.hubapi.com/url-mappings/2026-03/url-mappings/{id} \
  --header 'Authorization: Bearer <token>'
{
  "cdnPurgeEmbargoTime": 123,
  "contentGroupId": 123,
  "cosObjectType": "ACCESS_GROUP_MEMBERSHIP",
  "created": 123,
  "createdById": 123,
  "deletedAt": 123,
  "destination": "<string>",
  "id": 123,
  "internallyCreated": true,
  "isActive": true,
  "isMatchFullUrl": true,
  "isMatchQueryString": true,
  "isOnlyAfterNotFound": true,
  "isPattern": true,
  "isProtocolAgnostic": true,
  "isRegex": true,
  "isTrailingSlashOptional": true,
  "label": "<string>",
  "lastUsedAt": 123,
  "name": "<string>",
  "note": "<string>",
  "portalId": 123,
  "precedence": 123,
  "redirectStyle": 123,
  "routePrefix": "<string>",
  "updated": 123,
  "updatedById": 123
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

id
integer<int64>
requis

L'identifiant unique du mappage d'URL à récupérer. Il doit s'agir d'un entier.

Réponse

successful operation

cdnPurgeEmbargoTime
integer<int64>
requis

Un horodatage Unix en millisecondes indiquant l'heure d'embargo pour la purge du réseau de diffusion de contenu liée au mappage d'URL.

contentGroupId
integer<int64>
requis

Un entier 64 bits représentant le groupe de contenu associé au mappage d'URL.

cosObjectType
enum<string>
requis

Une chaîne représentant le type d'objet de contenu associé au mappage d'URL. Les valeurs valides incluent divers types de contenu tels que « CONTENT », « LAYOUT », « FILE », etc.

Options disponibles:
ACCESS_GROUP_MEMBERSHIP,
APP_PAGE,
BLOCK,
BLOG,
BLOG_AUTHOR,
BRAND_BUSINESS_UNIT,
BRAND_SETTINGS,
CONTACT_MEMBERSHIP,
CONTENT,
CONTENT_EMBED,
CONTENT_FOLDER,
CONTENT_GROUP,
CRM_OBJECT,
CRM_OBJECT_TYPE,
CUSTOM_WIDGET,
CUSTOMER_PORTAL,
DATA_QUERY,
DESIGN_FOLDER,
DOMAIN,
DOMAIN_SETTINGS,
EMAIL_ADDRESS,
EXTENSION_RESOURCE,
FILE,
FOLDER,
FOLLOW_ME,
FORM,
GLOBAL_CONTENT,
HUBDB_TABLE,
HUBDB_TABLE_ROW,
IMAGE,
JS_PROJECT_COMPONENT,
KNOWLEDGE_BASE,
KNOWLEDGE_CATEGORY,
KNOWLEDGE_CATEGORY_TRANSLATION,
KNOWLEDGE_HOMEPAGE_CATEGORY,
LAYOUT,
LAYOUT_SECTION,
LIST_MEMBERSHIP,
MARKETPLACE_LISTING,
PASSWORD_PROTECTED,
PAYMENT,
PERSONALIZATION_TOKEN,
PLACEMENT,
PROJECT,
QUOTE_TEMPLATE,
RAW_ASSET,
REDIRECT_URL,
SECTION,
SERVERLESS_FUNCTION,
SITE_MAP,
SITE_MENU,
SITE_SETTINGS,
SUBSCRIPTIONS_SETTINGS,
TAG,
THEME,
THEME_SETTINGS,
UNRESTRICTED_ACCESS,
URL_MAPPING,
VIDEO_PLAYER,
WIDGET,
WORKFLOW
created
integer<int64>
requis

Un horodatage Unix en millisecondes indiquant la date de création du mappage d'URL.

createdById
integer<int32>
requis

L'identifiant de l'utilisateur ou de l'utilisatrice qui a créé le mappage d'URL.

deletedAt
integer<int64>
requis

Un horodatage Unix en millisecondes indiquant la date de suppression du mappage d'URL.

destination
string
requis

L'URL de destination vers laquelle le routePrefix est redirigé.

id
integer<int64>
requis

L'identifiant unique du mappage d'URL, représenté sous la forme d'un entier de 64 bits.

internallyCreated
boolean
requis

Un booléen indiquant si le mappage d'URL a été créé en interne par le système.

isActive
boolean
requis

Un booléen indiquant si le mappage d'URL est actuellement actif.

isMatchFullUrl
boolean
requis

Un booléen indiquant si l'URL complète doit être mise en correspondance.

isMatchQueryString
boolean
requis

Une valeur booléenne indiquant si la chaîne de requête doit être mise en correspondance.

isOnlyAfterNotFound
boolean
requis

Un booléen indiquant si le mappage doit être appliqué uniquement après une réponse 404 introuvable.

isPattern
boolean
requis

Un booléen indiquant si le routePrefix est un modèle.

isProtocolAgnostic
boolean
requis

Un booléen indiquant si le mappage doit ignorer le protocole URL (http/https).

isRegex
boolean
requis

Un booléen indiquant si le routePrefix doit être traité comme une expression régulière.

isTrailingSlashOptional
boolean
requis

Un booléen indiquant si la barre oblique finale dans l'URL est facultative.

label
string
requis

Un libellé pour le mappage d'URL.

lastUsedAt
integer<int64>
requis
name
string
requis

Le nom du mappage d'URL.

note
string
requis

Une chaîne contenant des notes sur le mappage d'URL.

portalId
integer<int32>
requis

L'identifiant du Portail HubSpot associé à ce mappage d'URL.

precedence
integer<int32>
requis

Un entier représentant la précédence du mappage d'URL, utilisé pour déterminer l'ordre d'évaluation.

redirectStyle
integer<int32>
requis

Un entier représentant le style de redirection utilisé.

routePrefix
string
requis

Le préfixe du chemin d'URL qui est mappé.

updated
integer<int64>
requis

Un horodatage Unix en millisecondes indiquant la dernière mise à jour du mappage d'URL.

updatedById
integer<int32>
requis

L'identifiant de l'utilisateur ayant mis à jour le mappage d'URL en dernier.

Last modified on April 13, 2026